Bug 62501 - Error in manpage for up2date.
Error in manpage for up2date.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-01 16:34 EST by Dan Naumov
Modified: 2015-01-07 18:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-14 09:56:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Naumov 2002-04-01 16:34:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020314

Description of problem:
The manpage for up2date is incorrect, it goes as following.

"SEE ALSO
Configuration is performed through up2date-config."

Even though there is no such program as "up2date-config". Instead, you use
"update --configure".

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run "man up2date"	

Actual Results:  The manpage contains:
"SEE ALSO
Configuration is performed through up2date-config."

Expected Results:  Should read:
"SEE ALSO
Configuration is performed by running up2date with the --configure option."

Additional info:

[jago@localhost jago]$ rpm -qa | grep up2date
up2date-2.7.61-7.x.2
Comment 1 Dan Naumov 2002-04-01 17:05:27 EST
Small typo:

Even though there is no such program as "up2date-config". Instead, you use
"up2date --configure".
Comment 2 Adrian Likins 2002-04-01 17:14:28 EST
Hmmm, there should be a "/usr/sbin/up2date-config" installed (it's
just a symlink to /usr/sbin/up2date

Is this not the case on your system?
Comment 3 Dan Naumov 2002-04-01 17:24:42 EST
/usr/sbin/up2date-config does not exist on my system. Besides, if it's supposed
to simply be a symlink to up2date, why does the manpage say you have to run
up2date-config for configuring things ? Doesn't make sense. You still have to
use "up2date --configure" to configure things. Or is "/usr/sbin/up2date-config"
supposed to run up2date with the --configure option ?

Anyways, I've been only updating the up2date package using up2date itself and
now that I updated to up2date-2.7.61-7.x.2, which is the latest errata, I
decided to check the manpage to see if anything's changed. Stumbled across the
"SEE ALSO" part and realised something is not quite right, eighter on my system,
or in the manpage.
Comment 4 Adrian Likins 2002-04-01 17:29:53 EST
if invoked as "up2date-config" up2date wil start up the config stuff
(ie, it's equilivent to "up2date --configure")

Sounds like that symlink went missing somehow, I'll see if
I can duplicate.
Comment 5 Jay Turner 2003-02-14 09:56:17 EST
Not seeing any issues with up2date-3.1.15-7 . . . 'up2date-config' works.

Note You need to log in before you can comment on or make changes to this bug.